ApplicationConfigurationControllerGetEffectiveValueForSetting Method |
POST /ApplicationConfiguration/EffectiveValueForSetting/
Gets the effective value for an application setting from the perspective of the specified scope.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPostAttribute]
[ActionNameAttribute("EffectiveValueForSetting")]
public HttpResponseMessage GetEffectiveValueForSetting(
[FromBodyAttribute] ConfigValueOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("EffectiveValueForSetting")>
Public Function GetEffectiveValueForSetting (
<FromBodyAttribute> options As ConfigValueOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"EffectiveValueForSetting")]
HttpResponseMessage^ GetEffectiveValueForSetting(
[FromBodyAttribute] ConfigValueOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("EffectiveValueForSetting")>]
member GetEffectiveValueForSetting :
[<FromBodyAttribute>] options : ConfigValueOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsConfigValueOptions
An object that carries all needed information about the setting value. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
HttpResponseMessage
A
AppSettingValueData object or a status code indicating a problem.
See Also